Page MenuHomePhabricator

Permissions error on creating Hiera pages on wikitech
Closed, ResolvedPublic

Description

I tried creating a Hiera config page on wikitech with the Hiera:Project/host/Hostname pattern, and got this: There is currently no text in this page. You can search for this page title in other pages, or search the related logs, but you do not have permission to create this page.

When I try to create it like wikitech.wikimedia.org/Hiera:Project - it works fine and I can edit.

Specific links used:

Cannot edit: https://wikitech.wikimedia.org/wiki/Hiera:Dashiki/host/dashiki-staging-01
Can edit: https://wikitech.wikimedia.org/wiki/Hiera:Dashiki

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable subpages in wikitech's Hiera namespace
mediawiki/extensions/OpenStackManager : masterCheck Hiera namespace permissions against root text of title

Event Timeline

madhuvishy raised the priority of this task from to Needs Triage.
madhuvishy updated the task description. (Show Details)
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 15 2015, 11:51 PM

Does action=edit work anyway?

@Krenair No. This is what happens:

Permission error
You do not have permission to create pages, for the following reason:

Only global cloudadmins and project admins for project Dashiki/host/dashiki-staging-01 can edit this page

(I am an admin - https://wikitech.wikimedia.org/wiki/Nova_Resource:Dashiki)

Yeah, same problem for me on the deployment-bastion page. I managed it at one point, might've been my cloudadmin right around that time though: https://wikitech.wikimedia.org/w/index.php?title=Hiera:Deployment-prep/host/deployment-bastion&action=history

Krenair claimed this task.Dec 16 2015, 12:15 AM

Change 259431 had a related patch set uploaded (by Alex Monk):
Check Hiera namespace permissions against root text of title

https://gerrit.wikimedia.org/r/259431

Change 259431 merged by jenkins-bot:
Check Hiera namespace permissions against root text of title

https://gerrit.wikimedia.org/r/259431

Krenair closed this task as Resolved.Dec 18 2015, 12:54 AM

That should take effect when wikitech updates to a version including the above patch.

@Krenair - I still don't see that I can edit - https://wikitech.wikimedia.org/wiki/Hiera:Dashiki/host/dashiki-staging-01. Not sure if this is fixed yet.

Krenair reopened this task as Open.Feb 5 2016, 10:35 PM

Oops, we need to enable subpages in that namespace.

Change 268818 had a related patch set uploaded (by Alex Monk):
Enable subpages in wikitech's Hiera namespace

https://gerrit.wikimedia.org/r/268818

Change 268818 merged by jenkins-bot:
Enable subpages in wikitech's Hiera namespace

https://gerrit.wikimedia.org/r/268818

Krenair closed this task as Resolved.Feb 5 2016, 10:42 PM